=== debian/changelog ===
resolv-wrapper (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 Jun 2016 16:52:00 +0000

resolv-wrapper (1.1.3-1) unstable; urgency=low

  * Initial upload (closes: #819986).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 04 Apr 2016 15:37:18 +0000
