=== doc/CMakeLists.txt ===
install(FILES
            resolv_wrapper.1
        DESTINATION
            ${MAN_INSTALL_DIR}/man1)
