=== debian/changelog ===
resolv-wrapper (1.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Oct 2016 17:30:47 +0000
