=== debian/control ===
Source: resolv-wrapper
Homepage: https://cwrap.org/resolv_wrapper.html
Section: devel
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-buildinfo,
 cmake (>= 2.8.8-3~),
 libcmocka-dev (>= 0.4.1),
 asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
XS-Testsuite: autopkgtest
Standards-Version: 3.9.8

Package: libresolv-wrapper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: wrapper for DNS name resolving or DNS faking
 Makes it possible to contact your own DNS implementation in your test
 environment. It requires socket_wrapper to be able to contact the server.
 Alternatively, the wrapper is able to fake DNS queries and return valid
 responses to your application.
