=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_install:
	a2x --doctype manpage --format manpage doc/resolv_wrapper.1.txt
	dh_auto_install

%:
	dh $@ --parallel --builddirectory=$(CURDIR)/obj/

.PHONY: override_dh_auto_install
