=== debian/changelog ===
resolv-wrapper (1.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 12:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 11 Apr 2020 19:29:57 +0000
