=== debian/changelog ===
resolv-wrapper (1.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 30 Aug 2020 07:41:39 +0200
