=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,6 @@
 	dh_auto_install
 
 %:
-	dh $@ --parallel --builddirectory=$(CURDIR)/obj/
+	dh $@ --builddirectory=$(CURDIR)/obj/
 
 .PHONY: override_dh_auto_install
