=== doc/CMakeLists.txt ===
install(FILES resolv_wrapper.1
        DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
