=== debian/changelog ===
resolv-wrapper (1.1.8-4) unstable; urgency=medium

  [ наб ]
  * d/control: Build-Depends: remove dh-buildinfo (see #1068809)

  [ Simon Josefsson ]
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Bump debian/* copyright years.
  * Modernize Salsa CI.
  * Fix copyright typo nit (thanks lrc).
  * Use execute_before instead of override.
  * Use watch v5.
  * Silence Salsa CI lintian.
  * Run wrap-and-sort -satbk.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 21 Oct 2025 15:16:46 +0200

resolv-wrapper (1.1.8-3) unstable; urgency=medium

  * Run wrap-and-sort -satbk.
  * Standards-Version: 4.7.0.
  * Fix lintian update-debian-copyright.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 25 Sep 2024 11:18:26 +0200

resolv-wrapper (1.1.8-2) unstable; urgency=medium

  * Make package team maintained.  Closes: #1043111.
  * Drop obsolete XS-Testsuite.
  * Add debian/upstream/metadata.
  * Add debian/upstream/signing-key.asc.
  * Update debian/watch and use pgpsigurlmangle.
  * copyright: Add myself for debian/* changes.
  * Add Vcs-* fields.
  * Add Rules-Requires-Root: no.
  * Build with hardening=+all.
  * Drop versioned constraint on cmake and
    libcmocka-dev (unnecessary since buster).
  * Rebuild manpage with asciidoctor since upstream uses that.
  * tests: Fix debci failure.  Add libsocket-wrapper dependency.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 06 Aug 2023 13:32:33 +0200

resolv-wrapper (1.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Jan 2023 12:44:51 +0100
