=== debian/control ===
Source: resolv-wrapper
Homepage: https://cwrap.org/resolv_wrapper.html
Section: devel
Priority: optional
Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
Uploaders:
 Laszlo Boszormenyi (GCS) <gcs@debian.org>,
 Timo Aaltonen <tjaalton@debian.org>,
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 asciidoctor,
 cmake,
 libcmocka-dev,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/sssd-team/resolv-wrapper.git
Vcs-Browser: https://salsa.debian.org/sssd-team/resolv-wrapper

Package: libresolv-wrapper
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: wrapper for DNS name resolving or DNS faking
 Makes it possible to contact your own DNS implementation in your test
 environment. It requires socket_wrapper to be able to contact the server.
 Alternatively, the wrapper is able to fake DNS queries and return valid
 responses to your application.
