=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

execute_before_dh_auto_install:
	asciidoctor -b manpage -d manpage doc/resolv_wrapper.1.adoc

%:
	dh $@ --builddirectory=$(CURDIR)/obj/
